<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabberd.component.Component</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabberd-module.html">Package&nbsp;jabberd</a> ::
        <a href="pyxmpp.jabberd.component-module.html">Module&nbsp;component</a> ::
        Class&nbsp;Component
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Component</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component">source&nbsp;code</a></span></p>
<p>Jabber external component (&quot;jabber:component:accept&quot; protocol) interface
implementation.</p>
<p>Override this class to build your components.</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">secret</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">server</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">port</span>=<span class="summary-sig-default">5347</span>,
        <span class="summary-sig-arg">disco_name</span>=<span class="summary-sig-default"><code class="variable-quote">u'</code><code class="variable-string">PyXMPP based component</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">disco_category</span>=<span class="summary-sig-default"><code class="variable-quote">u'</code><code class="variable-string">x-service</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">disco_type</span>=<span class="summary-sig-default"><code class="variable-quote">u'</code><code class="variable-string">x-unknown</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">keepalive</span>=<span class="summary-sig-default">0</span>)</span><br />
      Initialize a <a href="pyxmpp.jabberd.component.Component-class.html" class="link">Component</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#connect" class="summary-sig-name">connect</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Establish a connection with the server.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.connect">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html" class="link">pyxmpp.jabberd.ComponentStream</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#get_stream" class="summary-sig-name">get_stream</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the stream of the component in a safe way.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.get_stream">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="disconnect"></a><span class="summary-sig-name">disconnect</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Disconnect from the server.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disconnect">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">socket.socket</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#socket" class="summary-sig-name">socket</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the socket of the connection to the server.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.socket">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#loop" class="summary-sig-name">loop</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">timeout</span>=<span class="summary-sig-default">1</span>)</span><br />
      Simple 'main loop' for a component.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.loop">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#register_feature" class="summary-sig-name">register_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">feature_name</span>)</span><br />
      Register a feature to be announced by Service Discovery.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.register_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#unregister_feature" class="summary-sig-name">unregister_feature</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">feature_name</span>)</span><br />
      Unregister a feature to be announced by Service Discovery.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.unregister_feature">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#__stream_state_change" class="summary-sig-name" onclick="show_private();">__stream_state_change</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">state</span>,
        <span class="summary-sig-arg">arg</span>)</span><br />
      Handle various stream state changes and call right
methods of <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__stream_state_change">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#__disco_info" class="summary-sig-name" onclick="show_private();">__disco_info</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Handle a disco-info query.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__disco_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#__disco_items" class="summary-sig-name" onclick="show_private();">__disco_items</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Handle a disco-items query.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__disco_items">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#idle" class="summary-sig-name">idle</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Do some &quot;housekeeping&quot; work like &lt;iq/&gt; result expiration.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.idle">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#stream_created" class="summary-sig-name">stream_created</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stream</span>)</span><br />
      Handle stream creation event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_created">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#stream_closed" class="summary-sig-name">stream_closed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stream</span>)</span><br />
      Handle stream closure event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_closed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#stream_error" class="summary-sig-name">stream_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">err</span>)</span><br />
      Handle a stream error received.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#stream_state_changed" class="summary-sig-name">stream_state_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">state</span>,
        <span class="summary-sig-arg">arg</span>)</span><br />
      Handle a stream state change.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_state_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#connected" class="summary-sig-name">connected</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Handle stream connection event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.connected">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#authenticated" class="summary-sig-name">authenticated</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Handle successful authentication event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.authenticated">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="authorized"></a><span class="summary-sig-name">authorized</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Handle successful authorization event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.authorized">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#disco_get_info" class="summary-sig-name">disco_get_info</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Get disco#info data for a node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disco_get_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#disco_get_items" class="summary-sig-name">disco_get_items</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>,
        <span class="summary-sig-arg">iq</span>)</span><br />
      Get disco#items data for a node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disco_get_items">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabberd.component.Component-class.html#disconnected" class="summary-sig-name">disconnected</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Handle stream disconnection (connection closed by peer) event.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disconnected">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">str</code></span>
    </td><td class="summary">
        <a name="disco_category"></a><span class="summary-name">disco_category</span><br />
      : disco category to be used to create
<a href="pyxmpp.jabberd.component.Component-class.html#disco_identity" class="link">disco_identity</a>.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">pyxmpp.jabber.DiscoIdentity</a></span>
    </td><td class="summary">
        <a href="pyxmpp.jabberd.component.Component-class.html#disco_identity" class="summary-name">disco_identity</a><br />
      : disco identity (part of disco info) announced by
the component.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">pyxmpp.jabber.DiscoInfo</a></span>
    </td><td class="summary">
        <a href="pyxmpp.jabberd.component.Component-class.html#disco_info" class="summary-name">disco_info</a><br />
      : disco info announced by the component.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.disco.DiscoItems-class.html" class="link">pyxmpp.jabber.DiscoItems</a></span>
    </td><td class="summary">
        <a href="pyxmpp.jabberd.component.Component-class.html#disco_items" class="summary-name">disco_items</a><br />
      : disco items announced by the component.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">str</code></span>
    </td><td class="summary">
        <a name="disco_type"></a><span class="summary-name">disco_type</span><br />
      : disco type to be used to create <a href="pyxmpp.jabberd.component.Component-class.html#disco_identity" class="link">disco_identity</a>.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">:  <a href="pyxmpp.jid.JID-class.html" class="link">pyxmpp.JID</a></span>
    </td><td class="summary">
        <a name="jid"></a><span class="summary-name">jid</span><br />
      : component JID (should contain only the domain part).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">int</code></span>
    </td><td class="summary">
        <a name="keepalive"></a><span class="summary-name">keepalive</span><br />
      : keepalive interval for the stream.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">int</code></span>
    </td><td class="summary">
        <a name="port"></a><span class="summary-name">port</span><br />
      : port number on the server to which the commonent will
connect.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="secret"></a><span class="summary-name">secret</span><br />
      : the authentication secret.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a name="server"></a><span class="summary-name">server</span><br />
      : server to which the commonent will connect.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html" class="link">pyxmpp.jabberd.ComponentStream</a></span>
    </td><td class="summary">
        <a name="stream"></a><span class="summary-name">stream</span><br />
      : the XMPP stream object for the active connection
or <code class="link">None</code> if no connection is active.
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">secret</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">server</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">port</span>=<span class="sig-default">5347</span>,
        <span class="sig-arg">disco_name</span>=<span class="sig-default"><code class="variable-quote">u'</code><code class="variable-string">PyXMPP based component</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">disco_category</span>=<span class="sig-default"><code class="variable-quote">u'</code><code class="variable-string">x-service</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">disco_type</span>=<span class="sig-default"><code class="variable-quote">u'</code><code class="variable-string">x-unknown</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">keepalive</span>=<span class="sig-default">0</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a <a href="pyxmpp.jabberd.component.Component-class.html" class="link">Component</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>jid</code></strong> (:  <a href="pyxmpp.jid.JID-class.html" class="link">pyxmpp.JID</a>) - : component JID (should contain only the domain part).</li>
        <li><strong class="pname"><code>secret</code></strong> (: <code class="link">unicode</code>) - : the authentication secret.</li>
        <li><strong class="pname"><code>server</code></strong> (: <code class="link">str</code> or <code class="link">unicode</code>) - : server name or address the component should connect.</li>
        <li><strong class="pname"><code>port</code></strong> (: <code class="link">int</code>) - : port number on the server where the component should connect.</li>
        <li><strong class="pname"><code>disco_name</code></strong> (: <code class="link">unicode</code>) - : disco identity name to be used in the
disco#info responses.</li>
        <li><strong class="pname"><code>disco_category</code></strong> (: <code class="link">unicode</code>) - : disco identity category to be used in the
disco#info responses.  Use <a class="rst-reference external" href="http://www.jabber.org/registrar/disco-categories.html" target="_top">the categories registered by Jabber Registrar</a></li>
        <li><strong class="pname"><code>disco_type</code></strong> (: <code class="link">unicode</code>) - : disco identity type to be used in the component's
disco#info responses.  Use <a class="rst-reference external" href="http://www.jabber.org/registrar/disco-categories.html" target="_top">the types registered by Jabber Registrar</a></li>
        <li><strong class="pname"><code>keepalive</code></strong> (: <code class="link">int</code>) - : keepalive interval for the stream.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="connect"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">connect</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.connect">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Establish a connection with the server.</p>
<p>Set <a href="pyxmpp.jabberd.component.Component-class.html#stream" class="link">self.stream</a> to the <a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html" class="link">pyxmpp.jabberd.ComponentStream</a> when
initial connection succeeds.</p>
  <dl class="fields">
    <dt>Raises:</dt>
    <dd><ul class="nomargin-top">
        <li><code><strong class='fraise'>ValueError</strong></code> - when some of the component properties
(<a href="pyxmpp.jabberd.component.Component-class.html#jid" class="link">self.jid</a>, <a href="pyxmpp.jabberd.component.Component-class.html#secret" class="link">self.secret</a>,`self.server` or <a href="pyxmpp.jabberd.component.Component-class.html#port" class="link">self.port</a>) are wrong.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_stream"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_stream</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.get_stream">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the stream of the component in a safe way.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html" class="link">pyxmpp.jabberd.ComponentStream</a></dt>
        <dd>Stream object for the component or <code class="link">None</code> if no connection is
active.</dd>
  </dl>
</td></tr></table>
</div>
<a name="socket"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">socket</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.socket">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the socket of the connection to the server.
  <dl class="fields">
    <dt>Returns: <code class="link">socket.socket</code></dt>
        <dd>the socket.</dd>
  </dl>
</td></tr></table>
</div>
<a name="loop"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">loop</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">timeout</span>=<span class="sig-default">1</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.loop">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Simple 'main loop' for a component.</p>
<p>This usually will be replaced by something more sophisticated. E.g.
handling of other input sources.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="register_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">register_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">feature_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.register_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Register a feature to be announced by Service Discovery.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>feature_name</code></strong> (: <code class="link">unicode</code>) - : feature namespace or name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="unregister_feature"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">unregister_feature</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">feature_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.unregister_feature">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Unregister a feature to be announced by Service Discovery.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>feature_name</code></strong> (: <code class="link">unicode</code>) - : feature namespace or name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__stream_state_change"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__stream_state_change</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">state</span>,
        <span class="sig-arg">arg</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__stream_state_change">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Handle various stream state changes and call right
methods of <code class="link">self</code>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>state</code></strong> (: <code class="link">string</code>) - : state name.</li>
        <li><strong class="pname"><code>arg</code></strong> (: any object) - : state parameter.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__disco_info"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__disco_info</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__disco_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle a disco-info query.</p>
<dl class="rst-docutils">
<dt>Types:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a href="pyxmpp.iq-module.html" class="link">iq</a>: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.Iq</a></li>
</ul>
</dd>
</dl>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>iq</code></strong> - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__disco_items"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__disco_items</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.__disco_items">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle a disco-items query.</p>
<dl class="rst-docutils">
<dt>Types:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a href="pyxmpp.iq-module.html" class="link">iq</a>: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.Iq</a></li>
</ul>
</dd>
</dl>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>iq</code></strong> - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="idle"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">idle</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.idle">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Do some &quot;housekeeping&quot; work like &lt;iq/&gt; result expiration. Should be
called on a regular basis, usually when the component is idle.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="stream_created"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">stream_created</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stream</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_created">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle stream creation event.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: do nothing.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stream</code></strong> (: <a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html" class="link">pyxmpp.jabberd.ComponentStream</a>) - : the stream just created.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="stream_closed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">stream_closed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stream</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_closed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle stream closure event.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: do nothing.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stream</code></strong> (: <a href="pyxmpp.jabberd.componentstream.ComponentStream-class.html" class="link">pyxmpp.jabberd.ComponentStream</a>) - : the stream just created.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="stream_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">stream_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">err</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle a stream error received.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: just log it. The stream will be closed anyway.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>err</code></strong> (: <a href="pyxmpp.error.StreamErrorNode-class.html" class="link">pyxmpp.error.StreamErrorNode</a>) - : the error element received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="stream_state_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">stream_state_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">state</span>,
        <span class="sig-arg">arg</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.stream_state_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle a stream state change.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: do nothing.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>state</code></strong> (: <code class="link">string</code>) - : state name.</li>
        <li><strong class="pname"><code>arg</code></strong> (: any object) - : state parameter.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="connected"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">connected</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.connected">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle stream connection event.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: do nothing.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="authenticated"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">authenticated</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.authenticated">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle successful authentication event.</p>
<p>A good place to register stanza handlers and disco features.</p>
<p>[should be overriden in derived classes]</p>
<p>By default: set disco#info and disco#items handlers.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="disco_get_info"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">disco_get_info</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">node</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disco_get_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Get disco#info data for a node.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: return <a href="pyxmpp.jabberd.component.Component-class.html#disco_info" class="link">self.disco_info</a> if no specific node name
is provided.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : name of the node queried.</li>
        <li><strong class="pname"><code>iq</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.Iq</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="disco_get_items"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">disco_get_items</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">node</span>,
        <span class="sig-arg">iq</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disco_get_items">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Get disco#items data for a node.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: return <a href="pyxmpp.jabberd.component.Component-class.html#disco_items" class="link">self.disco_items</a> if no specific node name
is provided.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : name of the node queried.</li>
        <li><strong class="pname"><code>iq</code></strong> (: <a href="pyxmpp.iq.Iq-class.html" class="link">pyxmpp.Iq</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="disconnected"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">disconnected</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabberd.component-pysrc.html#Component.disconnected">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Handle stream disconnection (connection closed by peer) event.</p>
<p>[may be overriden in derived classes]</p>
<p>By default: do nothing.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== INSTANCE VARIABLE DETAILS ==================== -->
<a name="section-InstanceVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="disco_identity"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">disco_identity</h3>
  : disco identity (part of disco info) announced by
the component. Created when a stream is connected.
  <dl class="fields">
    <dt>Type:</dt>
      <dd>: <a href="pyxmpp.jabber.disco.DiscoIdentity-class.html" class="link">pyxmpp.jabber.DiscoIdentity</a></dd>
  </dl>
</td></tr></table>
</div>
<a name="disco_info"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">disco_info</h3>
  : disco info announced by the component. Created
when a stream is connected.
  <dl class="fields">
    <dt>Type:</dt>
      <dd>: <a href="pyxmpp.jabber.disco.DiscoInfo-class.html" class="link">pyxmpp.jabber.DiscoInfo</a></dd>
  </dl>
</td></tr></table>
</div>
<a name="disco_items"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">disco_items</h3>
  : disco items announced by the component. Created
when a stream is connected.
  <dl class="fields">
    <dt>Type:</dt>
      <dd>: <a href="pyxmpp.jabber.disco.DiscoItems-class.html" class="link">pyxmpp.jabber.DiscoItems</a></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:03 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
